## NAME

i.spectral - Displays spectral response at user specified locations in group or images.

## KEYWORDS

imagery, raster, multispectral

## SYNOPSIS

i.spectral
i.spectral help
i.spectral [-imc] [group=string] [raster=string[,string,...]] [output=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-i
  Use image list and not group
-m
  Select multiple points
-c
  Show pick coordinates instead of numbering in the legend
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

group=string
  Group input
raster=string[,string,...]
  Raster input maps
output=string
  Write output to PNG image

## DESCRIPTION

i.spectral displays spectral response at user specified locations in images.

## NOTES

This script needs gnuplot to be installed.

## EXAMPLES

Analysis of LANDSAT TM7 channels (North Carolina dataset):

    g.region rast=lsat7_2002_10 -p
    d.mon x0
    d.rast lsat7_2002_40
    i.spectral -i rast=lsat7_2002_10,lsat7_2002_20,lsat7_2002_30,lsat7_2002_40,lsat7_2002_50,lsat7_2002_70

Spectral plot of 3 different land cover types: (1) water, (2) green vegetation, and (3) highway

To analyze a time series of maps, use:

    d.rast map_1
    LIST=`g.mlist type=rast mapset=timeseries pat="map_*" | sort -t '_' -k 2 -n | tr '\n' ','| sed 's+,$++g'`
    i.spectral -i rast=$LIST

This will search all maps in the mapset 'timeseries' which match have the 'map_' prefix and order by a number following this prefix (day of the year etc). The user is then asked to click into a map position and the resulting pixel values of all matching maps are drawn in the gnuplot output.

## SEE ALSO

d.what.rast
d.where
r.what

## AUTHOR

Markus Neteler
Francesco Pirotti

Last changed: $Date: 2012-08-20 12:35:34 +0200 (po, 20 VIII 2012) $

Main index - imagery index - Full index

© 2003-2014 GRASS Development Team